TLSupdate

On February 25, 2019, our online banking servers will undergo a security update to ensure that our systems remain secure and protected. After this update completes some older devices and operating systems will not be compatible with our online and mobile banking platforms.

We believe this may impact you.

Please see a list of system requirements for our online and mobile banking platforms. If your device does not meet these requirements you will not be able to access online banking after February 25, 2019.

Mobile Device Operating Systems

  • Android devices version 5.1.1(lollipop) and above.
  • Apple iOS devices(iPhones) using Safari versions 6 and above.

Desktop Operating Systems

  • Windows 7 with Microsoft Internet Explorer versions 11 or above, Windows 8, Windows 10
  • Apple OS X using Safari Versions 9 or above.

 

How to find out what version you are using:

Android Devices

Apple iOS devices(iPhones)

Windows Computer

Apple Computer (Macbook, iMac, etc.)